# Method: applications.get

Retrieves information about an application for the given application ID.

### HTTP request

`GET https://admin.googleapis.com/admin/datatransfer/v1/applications/{applicationId}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `applicationId` | `string (https://developers.google.com/discovery/v1/type-format format)` ID of the application resource to be retrieved. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/workspace/admin/data-transfer/reference/rest/v1/applications#Application`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/admin.datatransfer`
- `
  https://www.googleapis.com/auth/admin.datatransfer.readonly`

For more information, see the [Authorization guide](https://developers.google.com/workspace/guides/configure-oauth-consent).